
#ifdef INLINE_MATERIAL_OVERRIDE
#inline <INLINE_MATERIAL_OVERRIDE>
#endif

#ifndef MATERIAL_OVERRIDE_ALBEDO
vec4 getMaterialAlbedo(vec4 albedo, vec3 worldCoords, vec3 localCoords)
{
	return albedo;
}
#endif

#ifndef MATERIAL_OVERRIDE_ROUGHNESS
float getMaterialRoughness(float roughness, vec3 worldCoords, vec3 localCoords)
{
	return roughness;
}
#endif

#ifndef MATERIAL_OVERRIDE_METALNESS
float getMaterialMetalness(vec3 worldCoords, vec3 localCoords)
{
	return 1.0;
}
#endif

#ifndef MATERIAL_OVERRIDE_NORMAL
vec3 getMaterialNormal(vec3 normal, vec3 worldCoords, vec3 localCoords)
{
	return normal;
}
#endif
